package main

import (
	"fmt"
	"log"
	"net"
)

func main() {
	ifs, err := net.Interfaces()
	if err != nil {
		log.Fatal("problem geting interfaces")
	}
	for _, iff := range ifs {
		as, err := iff.Addrs()
		if err != nil {
			log.Fatal("problem geting the address for interface.")
		}
		if len(as) != 0 {
			fmt.Printf("%v: ", iff.Name)
			fmt.Printf("%v\n", as)
		}
	}
}
